%global dlrn_nvr 0.7.2-0.20180423212248.fee47ee
%global dlrn 1
%define upstream_version 0.7.2
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-pacemaker
Version: 0.7.2
Release: 0.20180423212257%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-pacemaker

Source0: 0.7.2-0.20180423212248.fee47ee-fee47ee9af3d38834c33bec31694f4be6b0c4396.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=fee47ee9af3d38834c33bec31694f4be6b0c4396
Patch0001: 0001-Do-not-call-crm_node-n-when-running-in-a-container.patch
Patch0002: 0002-Fix-a-small-race-window-when-setting-up-pcmk-remotes.patch
Patch0003: 0003-Introduce-a-function-to-verify-for-fixed-crm_diff.patch
Patch0004: 0004-Use-crm_diff-for-pcmk-resource-deep_compare.patch
Patch0005: 0005-Deep_compare-fix-with-location-constraints-and-bette.patch
Patch0006: 0006-Fix-reconnect_interval-parameter.patch
Patch0007: 0007-Initial-support-for-adding-cluster-nodes-to-an-exist.patch
Patch0008: 0008-Fix-OS-versions-in-metadata.patch
Patch0009: 0009-Revert-Initial-support-for-adding-cluster-nodes-to-a.patch
Patch0010: 0010-Fix-rspec-test-on-ubuntu-os.patch
Patch0011: 0011-Pin-net-telnet-to-0.1.1.patch
Patch0012: 0012-Remove-the-pcmk_is_remote-fact.patch
Patch0013: 0013-Initial-support-for-adding-cluster-nodes-to-an-exist.patch
Patch0014: 0014-Remove-PE-requirement-from-metadata.json.patch
Patch0015: 0015-Abstract-container-backend.patch
Patch0016: 0016-Fix-container_backend-issues-on-update.patch
Patch0017: 0017-Rely-on-path-for-CLI-calls-when-possible.patch
Patch0018: 0018-Also-consider-podman-containers-when-running-facter.patch
Patch0019: 0019-Match-node-properties-more-strictly.patch
Patch0020: 0020-Fix-up-ordering-of-remote-authkeys-and-a-couple-of-p.patch
Patch0021: 0021-Improve-deep_compare-detection.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n openstack-pacemaker-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Wed Jan 09 2019 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212257
- Improve deep_compare detection (rhbz#1651697)

* Fri Dec 21 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212256
- Fix up ordering of remote authkeys and a couple of pcs commands (rhbz#1624441)

* Mon Dec 03 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212255
- Match node properties more strictly (rhbz#1654432)

* Tue Nov 27 2018 Jon Schlueter <jschluet@redhat.com> 0.7.2-0.20180423212254
- Also consider podman containers when running facter
- Rely on path for CLI calls when possible
- Fix container_backend issues on update
- Abstract container backend
- Remove PE requirement from metadata.json
- Initial support for adding cluster nodes to an existing cluster

* Thu Oct 18 2018 Steve Linabery <slinaber@redhat.com> 0.7.2-0.20180423212253
- Remove the pcmk_is_remote fact
- Pin net-telnet to 0.1.1
- Fix rspec test on ubuntu os.
- Revert "Initial support for adding cluster nodes to an existing cluster"
- Fix OS versions in metadata
- Initial support for adding cluster nodes to an existing cluster

* Mon Oct 15 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212252
- Fix reconnect_interval parameter (rhbz#1637805)

* Wed Aug 08 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212251
- Deep_compare fix with location constraints and better debugging (rhbz#1611538)

* Thu Jul 19 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212250
- Use crm_diff for pcmk resource deep_compare (rhbz#1603205)
- Introduce a function to verify for fixed crm_diff (rhbz#1603205)
- Fix a small race window when setting up pcmk remotes (rhbz#1598038)

* Wed Jul 18 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212249
- Do not call crm_node -n when running in a container (rhbz#1602850)

